[arch-commits] Commit in zeitgeist/repos (4 files)
Jan de Groot
jgc at archlinux.org
Thu Jan 7 14:26:02 UTC 2016
Date: Thursday, January 7, 2016 @ 15:26:02
Author: jgc
Revision: 257605
archrelease: copy trunk to extra-i686, extra-x86_64
Added:
zeitgeist/repos/extra-i686/PKGBUILD
(from rev 257604, zeitgeist/trunk/PKGBUILD)
zeitgeist/repos/extra-x86_64/PKGBUILD
(from rev 257604, zeitgeist/trunk/PKGBUILD)
Deleted:
zeitgeist/repos/extra-i686/PKGBUILD
zeitgeist/repos/extra-x86_64/PKGBUILD
-----------------------+
/PKGBUILD | 100 ++++++++++++++++++++++++++++++++++++++++++++++++
extra-i686/PKGBUILD | 48 -----------------------
extra-x86_64/PKGBUILD | 48 -----------------------
3 files changed, 100 insertions(+), 96 deletions(-)
Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD 2016-01-07 14:25:54 UTC (rev 257604)
+++ extra-i686/PKGBUILD 2016-01-07 14:26:02 UTC (rev 257605)
@@ -1,48 +0,0 @@
-# $Id$
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-# Contributor: Andrea Scarpino <andrea at archlinux.org>
-# Contributor: György Balló <ballogy at freestart.hu>
-
-pkgname=zeitgeist
-pkgver=0.9.15
-pkgrel=5
-pkgdesc="Service logging user activities and events"
-arch=(i686 x86_64)
-url="http://zeitgeist-project.com/"
-license=(GPL2 LGPL2.1)
-depends=(json-glib telepathy-glib gtk3 xapian-core)
-makedepends=(intltool gobject-introspection vala raptor python2-rdflib gnome-common git)
-provides=(zeitgeist-datahub)
-conflicts=(zeitgeist-datahub)
-replaces=(zeitgeist-datahub)
-source=("$pkgname::git://anongit.freedesktop.org/$pkgname/$pkgname#commit=63dba18c")
-sha256sums=('SKIP')
-
-prepare() {
- cd $pkgname
-
- sed -i 's/python -/$PYTHON -/' configure.ac
- sed -i '1s/python$/python2/' data/ontology2code
-
- mkdir m4
- NOCONFIGURE=1 ./autogen.sh
-}
-
-build() {
- cd $pkgname
- export PYTHON=/usr/bin/python2
- ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
- --libexecdir=/usr/lib/$pkgname --enable-fts
- make
-}
-
-check() {
- cd $pkgname
- # Log test fails in chroot, as we have no X and no proper dbus
- make -k check || :
-}
-
-package() {
- cd $pkgname
- make DESTDIR="$pkgdir" install
-}
Copied: zeitgeist/repos/extra-i686/PKGBUILD (from rev 257604, zeitgeist/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD (rev 0)
+++ extra-i686/PKGBUILD 2016-01-07 14:26:02 UTC (rev 257605)
@@ -0,0 +1,50 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: György Balló <ballogy at freestart.hu>
+
+pkgname=zeitgeist
+pkgver=0.9.16
+pkgrel=1
+pkgdesc="Service logging user activities and events"
+arch=(i686 x86_64)
+url="http://zeitgeist-project.com/"
+license=(GPL2 LGPL2.1)
+depends=(json-glib telepathy-glib gtk3 xapian-core)
+makedepends=(intltool gobject-introspection vala raptor python2-rdflib gnome-common)
+provides=(zeitgeist-datahub)
+conflicts=(zeitgeist-datahub)
+replaces=(zeitgeist-datahub)
+source=(https://launchpad.net/zeitgeist/${pkgver:0:3}/${pkgver}/+download/zeitgeist-${pkgver}.tar.xz{,.asc})
+md5sums=('f56b58a19d5fd5a7365ddcbe26ee6b15'
+ 'SKIP')
+validpgpkeys=('E4884AEEDE4CC02043C3D8045DECDBA89270E723') #Rico Tzschichholz <ricotz at ubuntu.com>
+
+prepare() {
+ cd $pkgname-$pkgver
+
+ sed -i 's/python -/$PYTHON -/' configure.ac
+ sed -i '1s/python$/python2/' data/ontology2code
+
+ autoreconf -fi
+}
+
+build() {
+ cd $pkgname-$pkgver
+ export PYTHON=/usr/bin/python2
+ ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+ --libexecdir=/usr/lib/$pkgname --enable-fts
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/ if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/ func_append compile_command " -Wl,-O1,--as-needed"\n func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool
+ make
+}
+
+check() {
+ cd $pkgname-$pkgver
+ # Log test fails in chroot, as we have no X and no proper dbus
+ make -k check || :
+}
+
+package() {
+ cd $pkgname-$pkgver
+ make DESTDIR="$pkgdir" install
+}
Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD 2016-01-07 14:25:54 UTC (rev 257604)
+++ extra-x86_64/PKGBUILD 2016-01-07 14:26:02 UTC (rev 257605)
@@ -1,48 +0,0 @@
-# $Id$
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-# Contributor: Andrea Scarpino <andrea at archlinux.org>
-# Contributor: György Balló <ballogy at freestart.hu>
-
-pkgname=zeitgeist
-pkgver=0.9.15
-pkgrel=5
-pkgdesc="Service logging user activities and events"
-arch=(i686 x86_64)
-url="http://zeitgeist-project.com/"
-license=(GPL2 LGPL2.1)
-depends=(json-glib telepathy-glib gtk3 xapian-core)
-makedepends=(intltool gobject-introspection vala raptor python2-rdflib gnome-common git)
-provides=(zeitgeist-datahub)
-conflicts=(zeitgeist-datahub)
-replaces=(zeitgeist-datahub)
-source=("$pkgname::git://anongit.freedesktop.org/$pkgname/$pkgname#commit=63dba18c")
-sha256sums=('SKIP')
-
-prepare() {
- cd $pkgname
-
- sed -i 's/python -/$PYTHON -/' configure.ac
- sed -i '1s/python$/python2/' data/ontology2code
-
- mkdir m4
- NOCONFIGURE=1 ./autogen.sh
-}
-
-build() {
- cd $pkgname
- export PYTHON=/usr/bin/python2
- ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
- --libexecdir=/usr/lib/$pkgname --enable-fts
- make
-}
-
-check() {
- cd $pkgname
- # Log test fails in chroot, as we have no X and no proper dbus
- make -k check || :
-}
-
-package() {
- cd $pkgname
- make DESTDIR="$pkgdir" install
-}
Copied: zeitgeist/repos/extra-x86_64/PKGBUILD (from rev 257604, zeitgeist/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD (rev 0)
+++ extra-x86_64/PKGBUILD 2016-01-07 14:26:02 UTC (rev 257605)
@@ -0,0 +1,50 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: György Balló <ballogy at freestart.hu>
+
+pkgname=zeitgeist
+pkgver=0.9.16
+pkgrel=1
+pkgdesc="Service logging user activities and events"
+arch=(i686 x86_64)
+url="http://zeitgeist-project.com/"
+license=(GPL2 LGPL2.1)
+depends=(json-glib telepathy-glib gtk3 xapian-core)
+makedepends=(intltool gobject-introspection vala raptor python2-rdflib gnome-common)
+provides=(zeitgeist-datahub)
+conflicts=(zeitgeist-datahub)
+replaces=(zeitgeist-datahub)
+source=(https://launchpad.net/zeitgeist/${pkgver:0:3}/${pkgver}/+download/zeitgeist-${pkgver}.tar.xz{,.asc})
+md5sums=('f56b58a19d5fd5a7365ddcbe26ee6b15'
+ 'SKIP')
+validpgpkeys=('E4884AEEDE4CC02043C3D8045DECDBA89270E723') #Rico Tzschichholz <ricotz at ubuntu.com>
+
+prepare() {
+ cd $pkgname-$pkgver
+
+ sed -i 's/python -/$PYTHON -/' configure.ac
+ sed -i '1s/python$/python2/' data/ontology2code
+
+ autoreconf -fi
+}
+
+build() {
+ cd $pkgname-$pkgver
+ export PYTHON=/usr/bin/python2
+ ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+ --libexecdir=/usr/lib/$pkgname --enable-fts
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/ if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/ func_append compile_command " -Wl,-O1,--as-needed"\n func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool
+ make
+}
+
+check() {
+ cd $pkgname-$pkgver
+ # Log test fails in chroot, as we have no X and no proper dbus
+ make -k check || :
+}
+
+package() {
+ cd $pkgname-$pkgver
+ make DESTDIR="$pkgdir" install
+}
More information about the arch-commits
mailing list